CustomersCustomer
Get customer sign-in configuration
GET
/v1/customer/auth/configGet customer sign-in configuration. A successful request returns HTTP 200 with the documented response body.
Query Parameters
origin*string
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/customer/auth/config?origin=example" \ -H "x-Store-Domain: my-store"{ "authority": "example", "clientId": "app_replace_with_your_client_id", "authorizationEndpoint": "example", "tokenEndpoint": "replace_with_the_issued_token", "revocationEndpoint": "example", "scope": "example", "redirectUri": "https://example.com/resource"}